/**
 * 新增服务项
 */
$(document).ready(function(){
	var XXPLcount = 0;
	var servicePackDetailsId = $("#servicePackDetailsId").val();
	var logoPath = $("#logoPath").val();
	// 初始化加载
	if(servicePackDetailsId == 'undefined' || servicePackDetailsId == null || servicePackDetailsId == ""){
		$.ajax({
			type:'POST',
			url:'../servicePack/queryServiceList',
			dataType: 'json',//返回值类型 一般设置为json
			success: function (data)  //服务器成功响应处理函数
			{
				$("#servicePackId").empty();
				var subs = data.list;// 获取data中list的数组
				var _array = [];
				_array.push("--请选择--");
				for ( var i = 0; i < subs.length; i++) {
					_array.push("<option value='" + subs[i].id + "'>"+ subs[i].name + "</option>");
					$("#servicePackId").html(_array.join(""));
				}
				$("#servicePackId").html(_array.join(""));
				queryCategoriesList();
			}
		});
	}
	
	if(logoPath != 'undefined' && logoPath != null && logoPath != ''){
		var visitPrefix = $("#visitPrefix").val();
		var imageUrl = visitPrefix+logoPath;
		var str =  "<li class=li"+XXPLcount+" style='position: relative;'><span class='sl-close' onclick='closepic("+XXPLcount+","+servicePackDetailsId+")'></span><a href="+imageUrl+" target='_blank' ><img src="+imageUrl+" width='80' height='80' /></a></li>";
    	$("#picreview").show();
    	$("#picreview").html(str);
		$("#XXPLhidden").html("<input name='accessory' type='hidden' id='XXPLhidden"+XXPLcount+"' class='name"+XXPLcount+"' value="+logoPath+" />");	
	}
    
	//新增服务信息
	$("#addServicePack").click(function(){
		var logoPath ="";
		$("input[name='accessory'").each(function(){
			logoPath = logoPath+($(this).val());
	    });
		var name = $("#name").val();
		var servicePackId = $("#servicePackId").val();
		var serviceCategoriesId = $("#serviceCategoriesId").val();
		var price = $("#price").val();
		var typeCode = $("#typeCode").val();
		
		if(name == null || name == ""){
			layer.alert("请填写商品名称！");
			$("#name").focus();
			return;
		}
		if(servicePackId == null || servicePackId == ""){
			layer.alert("请选择服务项！");
			$("#name").focus();
			return;
		}
		if(serviceCategoriesId == null || serviceCategoriesId == ""){
			layer.alert("请选择商品分类！");
			$("#serviceCategoriesId").focus();
			return;
		}
		if(price == null || price == ""){
			layer.alert("请填写商品金额！");
			$("#price").focus();
			return;
		}
		if(logoPath == null || logoPath == ""){
			layer.alert("请上传商品图片！");
			return;
		}
		$.ajax({
			type : 'POST',
			url : '../servicePack/addServicePackDetails',
			data:{"id":servicePackDetailsId,"name":name,"logoPath":logoPath,"price":price,"typeId":serviceCategoriesId,"typeCode":typeCode},
			dataType : 'json',// 返回值类型 一般设置为json
			success : function(data) // 服务器成功响应处理函数
			{
				if(data.code == '0'){
					alert(data.msg);
					window.location.href="../servicePack/listDetails";
				}else{
					alert(data.msg);
				}
			}
		});
	});
	
	//取消返回
	$("#back").click(function(){
		window.location.href="../servicePack/listDetails";
	});
	
	//文件上传插件
	$("#uploadify").uploadify({
        swf 			: basePath+'/scripts/uploadify/uploadify.swf',	
		method			: 'post',	// 提交方式
		uploader		: basePath+'/admin/servicePack/uploadImgageList;jsessionid='+$("#sessionId").val(),
		preventCaching	: true,		// 加随机数到URL后,防止缓存
		buttonCursor	: 'hand',	// 上传按钮Hover时的鼠标形状
		fileDataName    : 'fileName',
	//	buttonImage		: 'img/.....png',	// 按钮的背景图片,会覆盖文字
		buttonText		: '选择图片'	, //按钮上显示的文字，默认”SELECTFILES”
		height			: 35	, // 30 px
		width			: 150	, // 120 px
		fileObjName		: 'filedata',	//文件对象名称, 即属性名
		fileSizeLimit	:  '10MB',		// 文件大小限制, 100 KB
		fileTypeDesc	: '请上传图片文件'	,	//文件类型说明 any(*.*)
		fileTypeExts	: '*.bmp;*.jpg;*.tiff;*.gif;*.pcx;*.tga;*.exif;*.fpx;*.svg;*.png;',		// 允许的文件类型,分号分隔
		auto            : true,//是否选取文件后自动上传
		formData		: {'id':$("#servicePackDetailsId").val()} , //指定上传文件附带的其他数据。也动态设置。可通过getParameter()获取
		'onUploadStart' : function(file) {//在上传之前设置参数
            $("#uploadify").uploadify("settings", "formData",{'servicePackId':$("#servicePackDetailsId").val()});  
        },
		multi			: false ,	// 多文件上传
		progressData	: 'speed',	// 进度显示, speed-上传速度,percentage-百分比	
		queueID			: 'fileQueue',//上传队列的DOM元素的ID号
		queueSizeLimit	: 99,	// 队列长度
		removeCompleted : true	,	// 上传完成后是否删除队列中的对应元素
		removeTimeout	: 2,	//上传完成后多少秒后删除队列中的进度条, 
		requeueErrors	: false,	// 上传失败后重新加入队列
		uploadLimit		: 30,	// 最多上传文件数量
		successTimeout	: 30,//表示文件上传完成后等待服务器响应的时间。超过该时间，那么将认为上传成功。
        
        onFallback :function(){
        	layer.alert("您未安装FLASH控件，无法上传图片！请安装FLASH控件后再试。");
        },
        'onSelectError':function(file, errorCode, errorMsg){
        	switch(errorCode) {
            case -100:
            	layer.alert("上传的文件数量不能超过30个");
                break;
            case -110:
            	layer.alert("文件 ["+file.name+"] 大小超出了10M");
                break;
            case -120:
            	layer.alert("文件 ["+file.name+"] 大小异常！");
                break;
            case -130:
            	layer.alert("文件 ["+file.name+"] 类型不正确！");
                break;
        }
        },
	
	onUploadSuccess  :function(file, data, response){
		 	var json = eval('('+data+')');
		 	if(json.code == '-1'){
		 		layer.alert(json.msg);
		 		return;
		 	}
		 	var imageUrl =  json.filePath;
		 	var attachmentIds = json.attachmentIds;
	 			var str =  "<li class=li"+XXPLcount+" style='position: relative;'><span class='sl-close' onclick='closepic("+XXPLcount+",\""+attachmentIds+"\")'></span><a href="+imageUrl+" target='_blank' ><img src="+imageUrl+" width='80' height='80' /></a></li>"
	 			$("#picreview").show();
	 			$("#picreview").html(str);
    		 	$("#XXPLhidden").html("<input name='accessory' id='XXPLhidden"+XXPLcount+"' type='hidden' class='name"+XXPLcount+"' value="+json.url+" />");
//    		 	XXPLcount++; 
    		 	$("#upload").val('<span class="megspan" style="color: green; font-weight: bold;">&nbsp;上传成功</span>');
    		 	$(".megspan").fadeOut(1000);
    	 
		}
    });
	
});

function queryCategoriesList(){
	var servicePackId = $("#servicePackId").val();
	if(servicePackId == null || servicePackId == ''){
		alert("请选择服务项");
		return;
	}
	// 根据服务项加载商品分类类型
	$.ajax({
		type : 'POST',
		url : '../servicePack/queryCategoriesList',
		data:{"serviceId":servicePackId},
		dataType : 'json',// 返回值类型 一般设置为json
		success : function(data) // 服务器成功响应处理函数
		{
			$("#serviceCategoriesId").empty();
			var subs = data.list;// 获取data中list的数组
			var _array = [];
			_array.push("");
			for ( var i = 0; i < subs.length; i++) {
				if(i == 0){
					$("#typeCode").val(subs[i].typeCode);
				}
				_array.push("<option value='" + subs[i].id + "'>"+ subs[i].name + "</option>");
				$("#serviceCategoriesId").html(_array.join(""));
			}
			$("#serviceCategoriesId").html(_array.join(""));
		}
	
	});
}

//删除 不需要的 图片
function closepic(num, attachmentId){
	$.ajax({
		 type : 'POST',
		 url : '../servicePack/deletePicture',
		 data : {"id":attachmentId},
		 dataType : 'json',// 返回值类型 一般设置为json
		 success : function(data){
		   	 if(data.code == '0'){
		   		$(".li"+num).remove();
		   		//删除隐藏数据
		   		$("#XXPLhidden"+num).val($("#XXPLhidden"+num).val()+"_delete");
		   	 }else{
		   		 alert(data.msg);
		   	 }
		 }
	});
}

